Bug 498312 - graphical installer won't start on old nvidia GeForce2Go-powered notebook (Dell Inspiron 8000) [NEEDINFO]
graphical installer won't start on old nvidia GeForce2Go-powered notebook (De...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 16:08 EDT by Alexandre Oliva
Modified: 2018-04-11 08:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 498320 (view as bug list)
Environment:
Last Closed: 2010-06-28 08:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bskeggs: needinfo? (oliva)
mcepl: needinfo? (oliva)


Attachments (Terms of Use)
Xorg.0.log showing the failed X session (10.63 KB, text/plain)
2009-05-23 09:26 EDT, Alexandre Oliva
no flags Details

  None (edit)
Description Alexandre Oliva 2009-04-29 16:08:30 EDT
Description of problem:
I suppose this might be some incompatibility with the nouveau X driver, because anaconda says X failed to start, and VT4 has a couple of lines about enabling nouveau FIFOs.  This notebook works fine with both nv and vesa, couldn't anaconda fall back to them if nouveau doesn't work?

Version-Release number of selected component (if applicable):
F11-Preview
Comment 1 Alexandre Oliva 2009-04-29 16:30:25 EDT
Info from VT5:
(EE) NOUVEAU(0): Pointer to LVDS manufacturer table invalid

Backtrace:
0: Xorg(xorg_backtrace+0x3b) [0x812e40b]
1: Xorg(xf86SigHandler+0x9e) [0x80c0e0e]
2: [0xb2d400]
3: /usr/lib/xorg/modules/drivers//nouveau_drv.so(NvSetupOutputs+0x3b) [0x3c057b]
4: /usr/lib/xorg/modules/drivers//nouveau_drv.so [0x3b7a22]
5: Xorg(InitOutput+0x4e9) [0x80a9339]
6: Xorg(main+0x1d3) [0x806b933]
7: /lib/libc.so.6(__libc_start_main+0xe6) [0xfcd8e6]
8: Xorg [0x806afa1]

Fatal server error:
Caught signal 11.  Server aborting.
Comment 2 Matěj Cepl 2009-05-04 10:05:02 EDT
(In reply to comment #0)
> nouveau FIFOs.  This notebook works fine with both nv and vesa, couldn't
> anaconda fall back to them if nouveau doesn't work?

-nv is going to go pretty soon. Anyway, could you please attach your /var/log/Xorg.0.log and/or /var/log/anaconda.xlog (or these weren't created yet, try /tmp/X*) to this bug as set of uncompressed separate attachments to this bug, please?

Thanks,

Matěj
Comment 3 Alexandre Oliva 2009-05-23 09:26:30 EDT
Created attachment 345194 [details]
Xorg.0.log showing the failed X session

Here it is.  Sorry about the delay.
Comment 4 Bug Zapper 2009-06-09 10:49:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ben Skeggs 2009-08-23 23:03:32 EDT
Any chance of getting you to grab a video bios image for me?  It should be present after a failed start of the X server at /var/run/nv*.rom

Thanks!
Comment 6 Matěj Cepl 2009-11-05 13:27:49 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Chris Campbell 2009-12-06 10:00:26 EST
Alexandre, could you update your system per Comment #6 and let us know if this bug can still be reproduced on your hardware?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Matěj Cepl 2010-02-26 07:24:43 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 10:00:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:16:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.